/* Popup-Grundlayout ausblenden */
.popup {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.6);
    justify-content: center;
    align-items: center;
    z-index: 9999;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.8s ease; 
}

.popup.show {
    opacity: 1;
    pointer-events: auto;
}

.popup-content {
    padding: 0;
    max-width: 500px;
    width: 100%;
    position: relative;
    text-align: left;
    max-height: 90vh;
    overflow: auto;
    margin: 0 30px;
}

.popup-close-btn {
  background: var(--secondary-text-color);
  border: none;
  cursor: pointer;
  padding: 15px 11px 18px 11px;
  margin-top: 1rem;
  font-size: 1rem;
  position: absolute;
  right: 20px;
  top: 1px;
  color: #fff;
  border-radius: 100%;
  line-height: 1px;
}

.popup-content .img img {
  height: auto;
  width: 100%;
}
.popup-content .img {
    margin-bottom: 30px;
}
.popup-content a {
    color: var(--bs-body-color);
    text-decoration: underline;
}
.popup-content a.btn {
    text-decoration: none;
}
.popup-content h2 {
  margin-bottom: 10px;
  font-family: var(--heading-font);
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 500;
  font-size: var(--h3-size);
  line-height: var(--h3-lineheight);
  margin-top: 25px;
  color: var(--tertiary-text-color);
}
.popup-content h2 span {
    color: var(--secondary-text-color);
}

.popup-content .col-md-6:first-child {
    padding: 30px 20px;
    background-color: var(--bs-secondary);
    color: var(--bs-heading-color);
}

.popup-content .col-md-6:last-child {
    padding: 0;
}
.popup-content .row {
    margin-right: 0;
    margin-left: 0;
}
.popup-content .col-md-12 {
    padding: 30px 30px 50px 30px;
    background-color: var(--bs-secondary);
    color: var(--bs-heading-color);
}

.popup-content a.buttonpopup {
  background-color: var(--bs-primary);
  border: 1px solid var(--bs-primary);
  border-radius: 30px;
  color: #b1c979;
  display: inline-block;
  font-family: var(--heading-font);
  font-size: var(--h5-size);
  letter-spacing: 0px;
  margin-right: 15px;
  padding: 12px 30px 8px !important;
  text-align: center;
  text-transform: uppercase;
  transition: .4s;
  white-space: nowrap;
  text-decoration: unset;
}

.popup-content a.buttonpopup:hover {
  background-color: #022b24;
}

@media screen and (max-width: 768px) {
    .popup-content h2 {
        margin-top: 30px;
    }
    .popup-content {
        margin: 0 20px;
    }
    .popup-close-btn {
        padding: 12px 11px 18px 11px;
    }
}
